PHP Manual
Prev |  | Next

# ps_open_image

(PECL)

ps_open_image -- Reads an image for later placement

## Description

int ps_open_image ( resource psdoc, string type, string source, string data, int lenght, int width, int height, int components, int bpc, string params )

Reads an image which is already available in memory. The parameter source is currently not evaluated and assumed to be memory. The image data is a sequence of pixels starting in th upper left corner and ending in the lower right corner. Each pixel consists of components color components, and each component has bpc bits.

## Parameters

psdoc

  Resource identifier of the postscript file as returned by ps_new().

type

  The type of the image. Possible values are png, jpeg, or eps.

source

  Not used.

data

  The image data.

length

  The length of the image data.

width

  The width of the image.

height

  The height of the image.

components

  The number of components for each pixel. This can be 1 (gray scale images), 3 (rgb images), or 4 (cmyk, rgba images).

bpc

  Number of bits per component (quite often 8).

params

## Return Values

Returns identifier of image or zero in case of an error. The identifier is a positive number greater than 0.

## See Also

ps_open_image_file()
ps_place_image()
ps_close_image()

Prev | Home | Next
ps_open_image_file | Up | ps_place_image